Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.radio
Class SimpleAir.DeliveryMeet

    java.lang.Object
      avrora.sim.util.GlobalClock.LocalMeet
          avrora.sim.radio.SimpleAir.DeliveryMeet

All Implemented Interfaces:
  Simulator.Event

Enclosing class:
  SimpleAir

protected class SimpleAir.DeliveryMeet
extends GlobalClock.LocalMeet

Field Summary
`protected Radio.RadioPacket` | `computedPacket`

Fields inherited from class avrora.sim.util.GlobalClock.LocalMeet
`condition, count, goal, id`

Method Summary
`protected void` | `computeWaveForm()`
`void` | `parallelAction(SimulatorThread s)` The `parallelAction()` method implements the functionality that must be performed in parallel when the threads have joined at this local meet, and after the serial action has been completed.
`void` | `preSynchAction()` The `preSynchAction()` method implements the functionality that must be performed just after the thread enters the local meet, but before it blocks waiting for the other threads.
`void` | `serialAction()` The `serialAction()` method implements the functionality that must be performed in serial when the threads have joined at this local meet.
`protected void` | `setGoal(int goal)`

Methods inherited from class avrora.sim.util.GlobalClock.LocalMeet
`fire`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### computedPacket

    protected Radio.RadioPacket computedPacket

Method Detail

### preSynchAction

    public void preSynchAction()

  Description copied from class: `GlobalClock.LocalMeet`
  The `preSynchAction()` method implements the functionality that must be performed just after the thread enters the local meet, but before it blocks waiting for the other threads. It is called with the `condition` monitor held.

  Specified by:
    `preSynchAction` in class `GlobalClock.LocalMeet`

### serialAction

    public void serialAction()

  Description copied from class: `GlobalClock.LocalMeet`
  The `serialAction()` method implements the functionality that must be performed in serial when the threads have joined at this local meet. This method will execute in the last thread to enter the fire() method.

  Specified by:
    `serialAction` in class `GlobalClock.LocalMeet`

### computeWaveForm

    protected void computeWaveForm()

### setGoal

    protected void setGoal(int goal)

### parallelAction

    public void parallelAction(SimulatorThread s)

  Description copied from class: `GlobalClock.LocalMeet`
  The `parallelAction()` method implements the functionality that must be performed in parallel when the threads have joined at this local meet, and after the serial action has been completed. It will be called in each thread, with the parameter passed being the current SimulatorThread.

  Specified by:
    `parallelAction` in class `GlobalClock.LocalMeet`
  Parameters:
    `s` - the current `SimulatorThread` instance for this thread

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD